# 全局选择器

## 标题选择器

可以包括很大一片区域，且不需要选择结束位置

（注意：一般使用N级标题选择器所选择的范围为两个N-1级标题之间的范围）
（**@todo** 按理说这里应该还要有个选项，能够选择当前标题的同级项还是低级项）

[quote]
### 标题选择器示例

局部选择器
	- 列表选择器
	- 引用块选择器
	- 代码块选择器
- 全局选择器
	- 范围选择器
	- 标题选择器

能自动包括更小一级的标题

#### 引用块

> 12345

#### 代码块

~~~js
console.log("Hello World")
~~~

#### 公式块
$$
1+1=2
$$





## 首尾选择器（beta）

**（@bug 目前不能在渲染模式中生效）**

用`{[]`和`}.`将范围包起来即可，特点同样是包括很大一片区域，并且拥有极高的自由度，哪怕是破坏规则的方式
（该选择器甚至可以内联触发，但我将内联触发给关了）
首尾范围选择器很强大，但我并不推荐去滥用这种选择器，更推荐使用标题选择器替代之

例如：
{[quote]

### 局部选择器
- 局部选择器
	- 列表选择器
	- 引用块选择器
	- 代码块选择器

### 全局选择器
- 全局选择器
	- 范围选择器
	- 标题选择器

> 包括引用块
> 12345

包括代码块
```js
console.log("Hello World")
```

包括公式块
$$
1+1=2
$$
}.

## 标题选择器的妙用（在渲染模式里好像会因为过长而产生bug?）

标题选择器加上title2list转化器，可以根据层级关系将其转化列表。也就是说列表能做的通过大纲也能做。
甚至可以支持大纲嵌套列表和正文（注意：多行正文只会视为一层而非多层，建议如果迫不得已用正文，那就只使用一行）

语法糖：
- title2table = title2list|list2table
- title2mindmap = title2list|list2mindmap

例如：

### 标题转表格

[title2table]
#### Origins

- Long history
- ::icon(fa fa-book)
- Popularisation
	- British popular psychology author Tony Buzan

#### Research

On effectiveness<br/>and features
On Automatic creation

- Uses
	- Creative techniques
	- Strategic planning
	- Argument mapping

#### Tools

- Pen and paper
- Mermaid

### 标题转脑图

[title2mindmap]
#### root((mindmap))
##### Origins

- Long history
- ::icon(fa fa-book)
- Popularisation
	- British popular psychology author Tony Buzan

##### Research

On effectiveness<br/>and features
On Automatic creation

- Uses
	- Creative techniques
	- Strategic planning
	- Argument mapping

##### Tools

- Pen and paper
- Mermaid

### 流程图

[title2list|list2mermaid]
#### Origins

- Long history
- Popularisation
	- British popular psychology author Tony Buzan

#### Research

- On effectiveness and features

- On Automatic creation

  - Uses
	- Creative techniques
	- Strategic planning
	- Argument mapping

#### Tools

- Pen and paper
- Mermaid

### 再来试试标签

[title2list|list2mdtab]
#### Origins

- Long history
- ::icon(fa fa-book)
- Popularisation
	- British popular psychology author Tony Buzan

#### Research

On effectiveness<br/>and features
On Automatic creation

- Uses
	- Creative techniques
	- Strategic planning
	- Argument mapping

#### Tools

- Pen and paper
- Mermaid